##########################################
# Common Settings
##########################################

# This file is the top-most EditorConfig file
root = true

# All Files
# noinspection EditorConfigKeyCorrectness
[*]
charset = utf-8
end_of_line = lf
indent_style = space
# (Please don't specify an indent_size here; that has too many unintended consequences.)
spelling_exclusion_path = SpellingExclusions.dic
insert_final_newline = true
trim_trailing_whitespace = true

##########################################
# File Extension Settings
##########################################

# Visual Studio Solution Files
[*.sln]
indent_style = tab

# Visual Studio XML Project Files
[*.{csproj,vbproj,vcxproj.filters,proj,projitems,shproj}]
indent_size = 2

# XML Configuration Files
[*.{xml,config,props,targets,nuspec,resx,ruleset,vsixmanifest,vsct}]
indent_size = 2

# JSON Files
[*.{json,json5,webmanifest}]
indent_size = 2

# Powershell files
[*.ps1]
end_of_line = crlf
indent_size = 2

# YAML Files
[*.{yml,yaml}]
indent_size = 2

# Markdown Files
[*.{md,mdx}]
trim_trailing_whitespace = false

# Web Files
[*.{htm,html,js,jsm,ts,tsx,cjs,cts,ctsx,mjs,mts,mtsx,css,sass,scss,less,pcss,svg,vue}]
indent_size = 2

# Batch Files
[*.{cmd,bat}]
end_of_line = crlf
indent_size = 2

# Bash Files
[*.sh]
indent_size = 2

# Makefiles
[Makefile]
indent_style = tab

##########################################
# Default .NET Code Style Severities
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/configuration-options#scope
##########################################

# Code files
[*.{cs,csx,cake,vb,vbx}]
# Default Severity for all .NET Code Style rules below
dotnet_analyzer_diagnostic.severity = warning
indent_size = 4

##########################################
# Language Rules
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/language-rules
##########################################

# .NET Style Rules
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/language-rules#net-style-rules
[*.{cs,csx,cake,vb,vbx}]
# "this." and "Me." qualifiers
dotnet_style_qualification_for_field = false:warning
dotnet_style_qualification_for_property = false:warning
dotnet_style_qualification_for_method = false:warning
dotnet_style_qualification_for_event = false:warning
# Language keywords instead of framework type names for type references
dotnet_style_predefined_type_for_locals_parameters_members = true:warning
dotnet_style_predefined_type_for_member_access = true:warning
# Modifier preferences
dotnet_style_require_accessibility_modifiers = always:warning
csharp_preferred_modifier_order = public, private, protected, internal, file, new, static, abstract, virtual, sealed, readonly, override, extern, unsafe, volatile, async, required:suggestion
visual_basic_preferred_modifier_order = Partial,Default,Private,Protected,Public,Friend,NotOverridable,Overridable,MustOverride,Overloads,Overrides,MustInherit,NotInheritable,Static,Shared,Shadows,ReadOnly,WriteOnly,Dim,Const,WithEvents,Widening,Narrowing,Custom,Async:warning
dotnet_style_readonly_field = true:warning
# Parentheses preferences
dotnet_style_parentheses_in_arithmetic_binary_operators = always_for_clarity:warning
dotnet_style_parentheses_in_relational_binary_operators = always_for_clarity:warning
dotnet_style_parentheses_in_other_binary_operators = always_for_clarity:warning
dotnet_style_parentheses_in_other_operators = never_if_unnecessary:warning
# Expression-level preferences
dotnet_style_object_initializer = true:warning
dotnet_style_collection_initializer = true:warning
dotnet_style_explicit_tuple_names = true:warning
dotnet_style_prefer_inferred_tuple_names = true:warning
dotnet_style_prefer_inferred_anonymous_type_member_names = true:warning
dotnet_style_prefer_auto_properties = true:warning
dotnet_style_prefer_conditional_expression_over_assignment = false:suggestion
dotnet_diagnostic.IDE0045.severity = suggestion
dotnet_style_prefer_conditional_expression_over_return = false:suggestion
dotnet_diagnostic.IDE0046.severity = suggestion
dotnet_style_prefer_compound_assignment = true:warning
dotnet_style_prefer_simplified_interpolation = true:warning
dotnet_style_prefer_simplified_boolean_expressions = true:warning
# Null-checking preferences
dotnet_style_coalesce_expression = true:warning
dotnet_style_null_propagation = true:warning
dotnet_style_prefer_is_null_check_over_reference_equality_method = true:warning
# File header preferences
# file_header_template = <copyright file="{fileName}" company="PROJECT-AUTHOR">\n© PROJECT-AUTHOR\n</copyright>
# If you use StyleCop, you'll need to disable SA1636: File header copyright text should match.
# dotnet_diagnostic.SA1636.severity = none
# Undocumented
dotnet_style_operator_placement_when_wrapping = end_of_line:warning
csharp_style_prefer_null_check_over_type_check = true:warning

# C# Style Rules
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/language-rules#c-style-rules
[*.{cs,csx,cake}]
# 'var' preferences
csharp_style_var_for_built_in_types = true:warning
csharp_style_var_when_type_is_apparent = true:warning
csharp_style_var_elsewhere = true:warning
# Expression-bodied members
csharp_style_expression_bodied_methods = true:warning
csharp_style_expression_bodied_constructors = true:warning
csharp_style_expression_bodied_operators = true:warning
csharp_style_expression_bodied_properties = true:warning
csharp_style_expression_bodied_indexers = true:warning
csharp_style_expression_bodied_accessors = true:warning
csharp_style_expression_bodied_lambdas = true:warning
csharp_style_expression_bodied_local_functions = true:warning
# Pattern matching preferences
csharp_style_pattern_matching_over_is_with_cast_check = true:warning
csharp_style_pattern_matching_over_as_with_null_check = true:warning
csharp_style_prefer_switch_expression = true:warning
csharp_style_prefer_pattern_matching = true:warning
csharp_style_prefer_not_pattern = true:warning
# Expression-level preferences
csharp_style_inlined_variable_declaration = true:warning
csharp_prefer_simple_default_expression = true:warning
csharp_style_pattern_local_over_anonymous_function = true:warning
csharp_style_deconstructed_variable_declaration = true:warning
csharp_style_prefer_index_operator = true:warning
csharp_style_prefer_range_operator = true:warning
csharp_style_implicit_object_creation_when_type_is_apparent = true:warning
# "Null" checking preferences
csharp_style_throw_expression = true:warning
csharp_style_conditional_delegate_call = true:warning
# Code block preferences
csharp_prefer_braces = true:warning
csharp_prefer_simple_using_statement = true:suggestion
dotnet_diagnostic.IDE0063.severity = suggestion
# 'using' directive preferences
csharp_using_directive_placement = outside_namespace:warning
# Modifier preferences
csharp_prefer_static_local_function = true:warning

# Resharper Style Rules
[*.{cs,csx,cake}]
resharper_unused_auto_property_accessor_global_highlighting=none


# Roslyn Analyzer Rules
[*.{cs,csx,cake}]
dotnet_diagnostic.CA1822.severity = none

##########################################
# Unnecessary Code Rules
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/unnecessary-code-rules
##########################################

# .NET Unnecessary code rules
[*.{cs,csx,cake,vb,vbx}]
dotnet_code_quality_unused_parameters = all:warning
dotnet_remove_unnecessary_suppression_exclusions = none:warning

# C# Unnecessary code rules
[*.{cs,csx,cake}]
csharp_style_unused_value_expression_statement_preference = discard_variable:suggestion
dotnet_diagnostic.IDE0058.severity = suggestion
csharp_style_unused_value_assignment_preference = discard_variable:suggestion
dotnet_diagnostic.IDE0059.severity = suggestion

##########################################
# Formatting Rules
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/formatting-rules
##########################################

# .NET formatting rules
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/formatting-rules#net-formatting-rules
[*.{cs,csx,cake,vb,vbx}]
# Organize using directives
dotnet_sort_system_directives_first = true
dotnet_separate_import_directive_groups = false
# Dotnet namespace options
dotnet_style_namespace_match_folder = true:suggestion
dotnet_diagnostic.IDE0130.severity = suggestion

# C# formatting rules
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/formatting-rules#c-formatting-rules
[*.{cs,csx,cake}]
# Newline options
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/formatting-rules#new-line-options
csharp_new_line_before_open_brace = all
csharp_new_line_before_else = true
csharp_new_line_before_catch = true
csharp_new_line_before_finally = true
csharp_new_line_before_members_in_object_initializers = true
csharp_new_line_before_members_in_anonymous_types = true
csharp_new_line_between_query_expression_clauses = true
# Indentation options
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/formatting-rules#indentation-options
csharp_indent_case_contents = true
csharp_indent_switch_labels = true
csharp_indent_labels = no_change
csharp_indent_block_contents = true
csharp_indent_braces = false
csharp_indent_case_contents_when_block = false
# Spacing options
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/formatting-rules#spacing-options
csharp_space_after_cast = true
csharp_space_after_keywords_in_control_flow_statements = true
csharp_space_between_parentheses = false
csharp_space_before_colon_in_inheritance_clause = true
csharp_space_after_colon_in_inheritance_clause = true
csharp_space_around_binary_operators = before_and_after
csharp_space_between_method_declaration_parameter_list_parentheses = false
csharp_space_between_method_declaration_empty_parameter_list_parentheses = false
csharp_space_between_method_declaration_name_and_open_parenthesis = false
csharp_space_between_method_call_parameter_list_parentheses = false
csharp_space_between_method_call_empty_parameter_list_parentheses = false
csharp_space_between_method_call_name_and_opening_parenthesis = false
csharp_space_after_comma = true
csharp_space_before_comma = false
csharp_space_after_dot = false
csharp_space_before_dot = false
csharp_space_after_semicolon_in_for_statement = true
csharp_space_before_semicolon_in_for_statement = false
csharp_space_around_declaration_statements = false
csharp_space_before_open_square_brackets = true
csharp_space_between_empty_square_brackets = false
csharp_space_between_square_brackets = false
# Wrap options
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/formatting-rules#wrap-options
csharp_preserve_single_line_statements = false
csharp_preserve_single_line_blocks = true
# Namespace options
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/formatting-rules#namespace-options
csharp_style_namespace_declarations = file_scoped:warning

##########################################
# .NET Naming Rules
# https://docs.microsoft.com/dotnet/fundamentals/code-analysis/style-rules/naming-rules
##########################################

[*.{cs,csx,cake,vb,vbx}]

##########################################
# Styles
##########################################

# camel_case_style - Define the camelCase style
dotnet_naming_style.underscore_camel_case_style.required_prefix = _
dotnet_naming_style.underscore_camel_case_style.capitalization = camel_case
# camel_case_style - Define the camelCase style
dotnet_naming_style.camel_case_style.capitalization = camel_case
# pascal_case_style - Define the PascalCase style
dotnet_naming_style.pascal_case_style.capitalization = pascal_case
# first_upper_style - The first character must start with an upper-case character
dotnet_naming_style.first_upper_style.capitalization = first_word_upper
# prefix_interface_with_i_style - Interfaces must be PascalCase and the first character of an interface must be an 'I'
dotnet_naming_style.prefix_interface_with_i_style.capitalization = pascal_case
dotnet_naming_style.prefix_interface_with_i_style.required_prefix = I
# prefix_type_parameters_with_t_style - Generic Type Parameters must be PascalCase and the first character must be a 'T'
dotnet_naming_style.prefix_type_parameters_with_t_style.capitalization = pascal_case
dotnet_naming_style.prefix_type_parameters_with_t_style.required_prefix = T
# disallowed_style - Anything that has this style applied is marked as disallowed
dotnet_naming_style.disallowed_style.capitalization  = pascal_case
dotnet_naming_style.disallowed_style.required_prefix = ____RULE_VIOLATION____
dotnet_naming_style.disallowed_style.required_suffix = ____RULE_VIOLATION____
# internal_error_style - This style should never occur... if it does, it indicates a bug in file or in the parser using the file
dotnet_naming_style.internal_error_style.capitalization  = pascal_case
dotnet_naming_style.internal_error_style.required_prefix = ____INTERNAL_ERROR____
dotnet_naming_style.internal_error_style.required_suffix = ____INTERNAL_ERROR____

##########################################
# .NET Design Guideline Field Naming Rules
# Naming rules for fields follow the .NET Framework design guidelines
# https://docs.microsoft.com/dotnet/standard/design-guidelines/index
##########################################

# All public/protected/protected_internal constant fields must be PascalCase
# https://docs.microsoft.com/dotnet/standard/design-guidelines/field
dotnet_naming_symbols.public_protected_constant_fields_group.applicable_accessibilities = public, protected, protected_internal
dotnet_naming_symbols.public_protected_constant_fields_group.required_modifiers         = const
dotnet_naming_symbols.public_protected_constant_fields_group.applicable_kinds           = field
dotnet_naming_rule.public_protected_constant_fields_must_be_pascal_case_rule.symbols    = public_protected_constant_fields_group
dotnet_naming_rule.public_protected_constant_fields_must_be_pascal_case_rule.style      = pascal_case_style
dotnet_naming_rule.public_protected_constant_fields_must_be_pascal_case_rule.severity   = warning

# All public/protected/protected_internal static readonly fields must be PascalCase
# https://docs.microsoft.com/dotnet/standard/design-guidelines/field
dotnet_naming_symbols.public_protected_static_readonly_fields_group.applicable_accessibilities = public, protected, protected_internal
dotnet_naming_symbols.public_protected_static_readonly_fields_group.required_modifiers         = static, readonly
dotnet_naming_symbols.public_protected_static_readonly_fields_group.applicable_kinds           = field
dotnet_naming_rule.public_protected_static_readonly_fields_must_be_pascal_case_rule.symbols    = public_protected_static_readonly_fields_group
dotnet_naming_rule.public_protected_static_readonly_fields_must_be_pascal_case_rule.style      = pascal_case_style
dotnet_naming_rule.public_protected_static_readonly_fields_must_be_pascal_case_rule.severity   = warning

# No other public/protected/protected_internal fields are allowed
# https://docs.microsoft.com/dotnet/standard/design-guidelines/field
dotnet_naming_symbols.other_public_protected_fields_group.applicable_accessibilities = public, protected, protected_internal
dotnet_naming_symbols.other_public_protected_fields_group.applicable_kinds           = field
dotnet_naming_rule.other_public_protected_fields_disallowed_rule.symbols             = other_public_protected_fields_group
dotnet_naming_rule.other_public_protected_fields_disallowed_rule.style               = disallowed_style
dotnet_naming_rule.other_public_protected_fields_disallowed_rule.severity            = error

##########################################
# StyleCop Field Naming Rules
# Naming rules for fields follow the StyleCop analyzers
# This does not override any rules using disallowed_style above
# https://github.com/DotNetAnalyzers/StyleCopAnalyzers
##########################################

# All constant fields must be PascalCase
# https://github.com/DotNetAnalyzers/StyleCopAnalyzers/blob/master/documentation/SA1303.md
dotnet_naming_symbols.stylecop_constant_fields_group.applicable_accessibilities = public, internal, protected_internal, protected, private_protected, private
dotnet_naming_symbols.stylecop_constant_fields_group.required_modifiers         = const
dotnet_naming_symbols.stylecop_constant_fields_group.applicable_kinds           = field
dotnet_naming_rule.stylecop_constant_fields_must_be_pascal_case_rule.symbols    = stylecop_constant_fields_group
dotnet_naming_rule.stylecop_constant_fields_must_be_pascal_case_rule.style      = pascal_case_style
dotnet_naming_rule.stylecop_constant_fields_must_be_pascal_case_rule.severity   = warning

# All public static readonly fields must be PascalCase
# https://github.com/DotNetAnalyzers/StyleCopAnalyzers/blob/master/documentation/SA1311.md
dotnet_naming_symbols.stylecop_static_readonly_fields_group.applicable_accessibilities = public, internal, protected_internal, protected, private_protected
dotnet_naming_symbols.stylecop_static_readonly_fields_group.required_modifiers         = static, readonly
dotnet_naming_symbols.stylecop_static_readonly_fields_group.applicable_kinds           = field
dotnet_naming_rule.stylecop_static_readonly_fields_must_be_pascal_case_rule.symbols    = stylecop_static_readonly_fields_group
dotnet_naming_rule.stylecop_static_readonly_fields_must_be_pascal_case_rule.style      = pascal_case_style
dotnet_naming_rule.stylecop_static_readonly_fields_must_be_pascal_case_rule.severity   = warning


# No non-private instance fields are allowed
# https://github.com/DotNetAnalyzers/StyleCopAnalyzers/blob/master/documentation/SA1401.md
dotnet_naming_symbols.stylecop_fields_must_be_private_group.applicable_accessibilities = public, internal, protected_internal, protected, private_protected
dotnet_naming_symbols.stylecop_fields_must_be_private_group.applicable_kinds           = field
dotnet_naming_rule.stylecop_instance_fields_must_be_private_rule.symbols               = stylecop_fields_must_be_private_group
dotnet_naming_rule.stylecop_instance_fields_must_be_private_rule.style                 = disallowed_style
dotnet_naming_rule.stylecop_instance_fields_must_be_private_rule.severity              = error

# Private fields must be camelCase
# https://github.com/DotNetAnalyzers/StyleCopAnalyzers/blob/master/documentation/SA1306.md
dotnet_naming_symbols.stylecop_private_fields_group.applicable_accessibilities = private
dotnet_naming_symbols.stylecop_private_fields_group.required_modifiers         = readonly
dotnet_naming_symbols.stylecop_private_fields_group.applicable_kinds           = field
dotnet_naming_rule.stylecop_private_fields_must_be_camel_case_rule.symbols     = stylecop_private_fields_group
dotnet_naming_rule.stylecop_private_fields_must_be_camel_case_rule.style       = underscore_camel_case_style
dotnet_naming_rule.stylecop_private_fields_must_be_camel_case_rule.severity    = warning

# Local variables must be camelCase
# https://github.com/DotNetAnalyzers/StyleCopAnalyzers/blob/master/documentation/SA1312.md
dotnet_naming_symbols.stylecop_local_fields_group.applicable_accessibilities = local
dotnet_naming_symbols.stylecop_local_fields_group.applicable_kinds           = local
dotnet_naming_rule.stylecop_local_fields_must_be_camel_case_rule.symbols     = stylecop_local_fields_group
dotnet_naming_rule.stylecop_local_fields_must_be_camel_case_rule.style       = camel_case_style
dotnet_naming_rule.stylecop_local_fields_must_be_camel_case_rule.severity    = silent

# This rule should never fire.  However, it's included for at least two purposes:
# First, it helps to understand, reason about, and root-case certain types of issues, such as bugs in .editorconfig parsers.
# Second, it helps to raise immediate awareness if a new field type is added (as occurred recently in C#).
dotnet_naming_symbols.sanity_check_uncovered_field_case_group.applicable_accessibilities = *
dotnet_naming_symbols.sanity_check_uncovered_field_case_group.applicable_kinds           = field
dotnet_naming_rule.sanity_check_uncovered_field_case_rule.symbols  = sanity_check_uncovered_field_case_group
dotnet_naming_rule.sanity_check_uncovered_field_case_rule.style    = internal_error_style
dotnet_naming_rule.sanity_check_uncovered_field_case_rule.severity = error


##########################################
# Other Naming Rules
##########################################

# All of the following must be PascalCase:
# - Namespaces
#   https://docs.microsoft.com/dotnet/standard/design-guidelines/names-of-namespaces
#   https://github.com/DotNetAnalyzers/StyleCopAnalyzers/blob/master/documentation/SA1300.md
# - Classes and Enumerations
#   https://docs.microsoft.com/dotnet/standard/design-guidelines/names-of-classes-structs-and-interfaces
#   https://github.com/DotNetAnalyzers/StyleCopAnalyzers/blob/master/documentation/SA1300.md
# - Delegates
#   https://docs.microsoft.com/dotnet/standard/design-guidelines/names-of-classes-structs-and-interfaces#names-of-common-types
# - Constructors, Properties, Events, Methods
#   https://docs.microsoft.com/dotnet/standard/design-guidelines/names-of-type-members
dotnet_naming_symbols.element_group.applicable_kinds = namespace, class, enum, struct, delegate, event, method, property
dotnet_naming_rule.element_rule.symbols              = element_group
dotnet_naming_rule.element_rule.style                = pascal_case_style
dotnet_naming_rule.element_rule.severity             = warning

# Interfaces use PascalCase and are prefixed with uppercase 'I'
# https://docs.microsoft.com/dotnet/standard/design-guidelines/names-of-classes-structs-and-interfaces
dotnet_naming_symbols.interface_group.applicable_kinds = interface
dotnet_naming_rule.interface_rule.symbols              = interface_group
dotnet_naming_rule.interface_rule.style                = prefix_interface_with_i_style
dotnet_naming_rule.interface_rule.severity             = warning

# Generics Type Parameters use PascalCase and are prefixed with uppercase 'T'
# https://docs.microsoft.com/dotnet/standard/design-guidelines/names-of-classes-structs-and-interfaces
dotnet_naming_symbols.type_parameter_group.applicable_kinds = type_parameter
dotnet_naming_rule.type_parameter_rule.symbols              = type_parameter_group
dotnet_naming_rule.type_parameter_rule.style                = prefix_type_parameters_with_t_style
dotnet_naming_rule.type_parameter_rule.severity             = warning

# Function parameters use camelCase
# https://docs.microsoft.com/dotnet/standard/design-guidelines/naming-parameters
dotnet_naming_symbols.parameters_group.applicable_kinds = parameter
dotnet_naming_rule.parameters_rule.symbols              = parameters_group
dotnet_naming_rule.parameters_rule.style                = camel_case_style
dotnet_naming_rule.parameters_rule.severity             = warning

# Microsoft .NET properties
dotnet_naming_rule.constants_rule.severity = warning
dotnet_naming_rule.constants_rule.style = upper_camel_case_style
dotnet_naming_rule.constants_rule.symbols = constants_symbols
dotnet_naming_rule.enum_member_rule.severity = warning
dotnet_naming_rule.enum_member_rule.style = upper_camel_case_style
dotnet_naming_rule.enum_member_rule.symbols = enum_member_symbols
dotnet_naming_rule.event_rule.severity = warning
dotnet_naming_rule.event_rule.style = upper_camel_case_style
dotnet_naming_rule.event_rule.symbols = event_symbols
dotnet_naming_rule.interfaces_rule.severity = warning
dotnet_naming_rule.interfaces_rule.style = i_upper_camel_case_style
dotnet_naming_rule.interfaces_rule.symbols = interfaces_symbols
dotnet_naming_rule.locals_rule.severity = warning
dotnet_naming_rule.locals_rule.style = lower_camel_case_style_1
dotnet_naming_rule.locals_rule.symbols = locals_symbols
dotnet_naming_rule.local_constants_rule.severity = warning
dotnet_naming_rule.local_constants_rule.style = lower_camel_case_style_1
dotnet_naming_rule.local_constants_rule.symbols = local_constants_symbols
dotnet_naming_rule.local_functions_rule.severity = warning
dotnet_naming_rule.local_functions_rule.style = upper_camel_case_style
dotnet_naming_rule.local_functions_rule.symbols = local_functions_symbols
dotnet_naming_rule.method_rule.severity = warning
dotnet_naming_rule.method_rule.style = upper_camel_case_style
dotnet_naming_rule.method_rule.symbols = method_symbols
dotnet_naming_rule.parameters_rule.severity = warning
dotnet_naming_rule.parameters_rule.style = lower_camel_case_style_1
dotnet_naming_rule.parameters_rule.symbols = parameters_symbols
dotnet_naming_rule.private_constants_rule.severity = warning
dotnet_naming_rule.private_constants_rule.style = upper_camel_case_style
dotnet_naming_rule.private_constants_rule.symbols = private_constants_symbols
dotnet_naming_rule.private_instance_fields_rule.severity = warning
dotnet_naming_rule.private_instance_fields_rule.style = lower_camel_case_style
dotnet_naming_rule.private_instance_fields_rule.symbols = private_instance_fields_symbols
dotnet_naming_rule.private_static_fields_rule.severity = warning
dotnet_naming_rule.private_static_fields_rule.style = lower_camel_case_style
dotnet_naming_rule.private_static_fields_rule.symbols = private_static_fields_symbols
dotnet_naming_rule.private_static_readonly_rule.severity = warning
dotnet_naming_rule.private_static_readonly_rule.style = lower_camel_case_style
dotnet_naming_rule.private_static_readonly_rule.symbols = private_static_readonly_symbols
dotnet_naming_rule.property_rule.severity = warning
dotnet_naming_rule.property_rule.style = upper_camel_case_style
dotnet_naming_rule.property_rule.symbols = property_symbols
dotnet_naming_rule.public_fields_rule.severity = warning
dotnet_naming_rule.public_fields_rule.style = upper_camel_case_style
dotnet_naming_rule.public_fields_rule.symbols = public_fields_symbols
dotnet_naming_rule.public_static_fields_rule.severity = warning
dotnet_naming_rule.public_static_fields_rule.style = upper_camel_case_style
dotnet_naming_rule.public_static_fields_rule.symbols = public_static_fields_symbols
dotnet_naming_rule.static_readonly_rule.severity = warning
dotnet_naming_rule.static_readonly_rule.style = upper_camel_case_style
dotnet_naming_rule.static_readonly_rule.symbols = static_readonly_symbols
dotnet_naming_rule.types_and_namespaces_rule.severity = warning
dotnet_naming_rule.types_and_namespaces_rule.style = upper_camel_case_style
dotnet_naming_rule.types_and_namespaces_rule.symbols = types_and_namespaces_symbols
dotnet_naming_rule.type_parameters_rule.severity = warning
dotnet_naming_rule.type_parameters_rule.style = t_upper_camel_case_style
dotnet_naming_rule.type_parameters_rule.symbols = type_parameters_symbols
dotnet_naming_rule.unity_serialized_field_rule.severity = warning
dotnet_naming_rule.unity_serialized_field_rule.style = lower_camel_case_style_1
dotnet_naming_rule.unity_serialized_field_rule.symbols = unity_serialized_field_symbols
dotnet_naming_style.i_upper_camel_case_style.capitalization = pascal_case
dotnet_naming_style.i_upper_camel_case_style.required_prefix = I
dotnet_naming_style.lower_camel_case_style.capitalization = camel_case
dotnet_naming_style.lower_camel_case_style.required_prefix = _
dotnet_naming_style.lower_camel_case_style_1.capitalization = camel_case
dotnet_naming_style.t_upper_camel_case_style.capitalization = pascal_case
dotnet_naming_style.t_upper_camel_case_style.required_prefix = T
dotnet_naming_style.upper_camel_case_style.capitalization = pascal_case
dotnet_naming_symbols.constants_symbols.applicable_accessibilities = public, internal, protected, protected_internal, private_protected
dotnet_naming_symbols.constants_symbols.applicable_kinds = field
dotnet_naming_symbols.constants_symbols.required_modifiers = const
dotnet_naming_symbols.enum_member_symbols.applicable_accessibilities = *
dotnet_naming_symbols.enum_member_symbols.applicable_kinds =
dotnet_naming_symbols.event_symbols.applicable_accessibilities = *
dotnet_naming_symbols.event_symbols.applicable_kinds = event
dotnet_naming_symbols.interfaces_symbols.applicable_accessibilities = *
dotnet_naming_symbols.interfaces_symbols.applicable_kinds = interface
dotnet_naming_symbols.locals_symbols.applicable_accessibilities = *
dotnet_naming_symbols.locals_symbols.applicable_kinds = local
dotnet_naming_symbols.local_constants_symbols.applicable_accessibilities = *
dotnet_naming_symbols.local_constants_symbols.applicable_kinds = local
dotnet_naming_symbols.local_constants_symbols.required_modifiers = const
dotnet_naming_symbols.local_functions_symbols.applicable_accessibilities = *
dotnet_naming_symbols.local_functions_symbols.applicable_kinds = local_function
dotnet_naming_symbols.method_symbols.applicable_accessibilities = *
dotnet_naming_symbols.method_symbols.applicable_kinds = method
dotnet_naming_symbols.parameters_symbols.applicable_accessibilities = *
dotnet_naming_symbols.parameters_symbols.applicable_kinds = parameter
dotnet_naming_symbols.private_constants_symbols.applicable_accessibilities = private
dotnet_naming_symbols.private_constants_symbols.applicable_kinds = field
dotnet_naming_symbols.private_constants_symbols.required_modifiers = const
dotnet_naming_symbols.private_instance_fields_symbols.applicable_accessibilities = private
dotnet_naming_symbols.private_instance_fields_symbols.applicable_kinds = field
dotnet_naming_symbols.private_static_fields_symbols.applicable_accessibilities = private
dotnet_naming_symbols.private_static_fields_symbols.applicable_kinds = field
dotnet_naming_symbols.private_static_fields_symbols.required_modifiers = static
dotnet_naming_symbols.private_static_readonly_symbols.applicable_accessibilities = private
dotnet_naming_symbols.private_static_readonly_symbols.applicable_kinds = field
dotnet_naming_symbols.private_static_readonly_symbols.required_modifiers = readonly, static
dotnet_naming_symbols.property_symbols.applicable_accessibilities = *
dotnet_naming_symbols.property_symbols.applicable_kinds = property
dotnet_naming_symbols.public_fields_symbols.applicable_accessibilities = public, internal, protected, protected_internal, private_protected
dotnet_naming_symbols.public_fields_symbols.applicable_kinds = field
dotnet_naming_symbols.public_static_fields_symbols.applicable_accessibilities = public, internal, protected, protected_internal, private_protected
dotnet_naming_symbols.public_static_fields_symbols.applicable_kinds = field
dotnet_naming_symbols.public_static_fields_symbols.required_modifiers = static
dotnet_naming_symbols.static_readonly_symbols.applicable_accessibilities = public, internal, protected, protected_internal, private_protected
dotnet_naming_symbols.static_readonly_symbols.applicable_kinds = field
dotnet_naming_symbols.static_readonly_symbols.required_modifiers = readonly, static
dotnet_naming_symbols.types_and_namespaces_symbols.applicable_accessibilities = *
dotnet_naming_symbols.types_and_namespaces_symbols.applicable_kinds = class, delegate, enum, namespace, struct
dotnet_naming_symbols.type_parameters_symbols.applicable_accessibilities = *
dotnet_naming_symbols.type_parameters_symbols.applicable_kinds = type_parameter
dotnet_naming_symbols.unity_serialized_field_symbols.applicable_accessibilities = *
dotnet_naming_symbols.unity_serialized_field_symbols.applicable_kinds =

# ReSharper properties
resharper_accessor_owner_body = expression_body
resharper_alignment_tab_fill_style = use_spaces
resharper_align_first_arg_by_paren = false
resharper_align_linq_query = true
resharper_align_multiline_array_and_object_initializer = true
resharper_align_multiline_array_initializer = true
resharper_align_multiline_binary_patterns = false
resharper_align_multiline_comments = true
resharper_align_multiline_ctor_init = true
resharper_align_multiline_expression_braces = false
resharper_align_multiline_implements_list = true
resharper_align_multiline_list_pattern = false
resharper_align_multiline_property_pattern = false
resharper_align_multiline_statement_conditions = true
resharper_align_multiline_switch_expression = false
resharper_align_multiline_type_argument = true
resharper_align_multiline_type_parameter = true
resharper_align_multline_type_parameter_constrains = false
resharper_align_multline_type_parameter_list = false
resharper_align_ternary = align_not_nested
resharper_align_tuple_components = false
resharper_allow_alias = true
resharper_allow_comment_after_lbrace = false
resharper_allow_far_alignment = false
resharper_arguments_anonymous_function = positional
resharper_arguments_literal = positional
resharper_arguments_named = positional
resharper_arguments_other = positional
resharper_arguments_skip_single = false
resharper_arguments_string_literal = positional
resharper_attribute_style = do_not_touch
resharper_blank_lines_after_access_specifier = 0
resharper_blank_lines_after_block_statements = 1
resharper_blank_lines_after_case = 0
resharper_blank_lines_after_control_transfer_statements = 0
resharper_blank_lines_after_file_scoped_namespace_directive = 1
resharper_blank_lines_after_imports = 1
resharper_blank_lines_after_multiline_statements = 0
resharper_blank_lines_after_options = 1
resharper_blank_lines_after_start_comment = 1
resharper_blank_lines_after_using_list = 1
resharper_blank_lines_around_accessor = 0
resharper_blank_lines_around_auto_property = 1
resharper_blank_lines_around_block_case_section = 0
resharper_blank_lines_around_class_definition = 1
resharper_blank_lines_around_field = 1
resharper_blank_lines_around_function_declaration = 0
resharper_blank_lines_around_function_definition = 1
resharper_blank_lines_around_global_attribute = 0
resharper_blank_lines_around_invocable = 1
resharper_blank_lines_around_local_method = 1
resharper_blank_lines_around_multiline_case_section = 0
resharper_blank_lines_around_namespace = 1
resharper_blank_lines_around_other_declaration = 0
resharper_blank_lines_around_property = 1
resharper_blank_lines_around_region = 1
resharper_blank_lines_around_single_line_accessor = 0
resharper_blank_lines_around_single_line_auto_property = 0
resharper_blank_lines_around_single_line_field = 0
resharper_blank_lines_around_single_line_function_definition = 0
resharper_blank_lines_around_single_line_invocable = 0
resharper_blank_lines_around_single_line_local_method = 0
resharper_blank_lines_around_single_line_property = 0
resharper_blank_lines_around_single_line_type = 1
resharper_blank_lines_around_type = 1
resharper_blank_lines_before_access_specifier = 1
resharper_blank_lines_before_block_statements = 0
resharper_blank_lines_before_case = 0
resharper_blank_lines_before_control_transfer_statements = 0
resharper_blank_lines_before_multiline_statements = 0
resharper_blank_lines_before_single_line_comment = 0
resharper_blank_lines_inside_namespace = 0
resharper_blank_lines_inside_region = 1
resharper_blank_lines_inside_type = 0
resharper_blank_line_after_pi = true
resharper_braces_for_dowhile = required
resharper_braces_for_fixed = required
resharper_braces_for_for = required
resharper_braces_for_foreach = required
resharper_braces_for_ifelse = required
resharper_braces_for_lock = required
resharper_braces_for_using = required
resharper_braces_for_while = required
resharper_braces_redundant = true
resharper_break_template_declaration = line_break
resharper_builtin_type_apply_to_native_integer = false
resharper_can_use_global_alias = true
resharper_constructor_or_destructor_body = block_body
resharper_continuous_indent_multiplier = 1
resharper_continuous_line_indent = single
resharper_cpp_align_multiline_argument = true
resharper_cpp_align_multiline_binary_expressions_chain = false
resharper_cpp_align_multiline_calls_chain = true
resharper_cpp_align_multiline_extends_list = true
resharper_cpp_align_multiline_parameter = true
resharper_cpp_align_multiple_declaration = true
resharper_cpp_anonymous_method_declaration_braces = next_line
resharper_cpp_case_block_braces = next_line_shifted_2
resharper_cpp_empty_block_style = multiline
resharper_cpp_indent_switch_labels = false
resharper_cpp_insert_final_newline = true
resharper_cpp_invocable_declaration_braces = next_line
resharper_cpp_keep_existing_arrangement = true
resharper_cpp_max_line_length = 120
resharper_cpp_new_line_before_while = true
resharper_cpp_other_braces = next_line
resharper_cpp_place_simple_blocks_on_single_line = false
resharper_cpp_space_after_unary_operator = false
resharper_cpp_space_around_binary_operator = true
resharper_cpp_type_declaration_braces = next_line
resharper_csharp_align_multiline_argument = false
resharper_csharp_align_multiline_binary_expressions_chain = false
resharper_csharp_align_multiline_calls_chain = false
resharper_csharp_align_multiline_expression = false
resharper_csharp_align_multiline_extends_list = false
resharper_csharp_align_multiline_for_stmt = false
resharper_csharp_align_multiline_parameter = false
resharper_csharp_align_multiple_declaration = false
resharper_csharp_empty_block_style = multiline
resharper_csharp_insert_final_newline = false
resharper_csharp_keep_existing_enum_arrangement = false
resharper_csharp_max_line_length = 120
resharper_csharp_new_line_before_while = false
resharper_csharp_prefer_qualified_reference = false
resharper_csharp_space_after_unary_operator = false
resharper_default_value_when_type_evident = default_literal
resharper_default_value_when_type_not_evident = default_literal
resharper_disable_space_changes_before_trailing_comment = false
resharper_enable_slate_format = true
resharper_export_declaration_braces = next_line
resharper_expression_braces = inside
resharper_extra_spaces = remove_all
resharper_force_attribute_style = separate
resharper_force_chop_compound_do_expression = false
resharper_force_chop_compound_if_expression = false
resharper_force_chop_compound_while_expression = false
resharper_function_declaration_return_type_style = do_not_change
resharper_function_definition_return_type_style = do_not_change
resharper_indent_access_specifiers_from_class = false
resharper_indent_aligned_ternary = true
resharper_indent_anonymous_method_block = true
resharper_indent_braces_inside_statement_conditions = false
resharper_indent_case_from_select = true
resharper_indent_child_elements = OneIndent
resharper_indent_class_members_from_access_specifiers = false
resharper_indent_comment = true
resharper_indent_export_declaration_members = true
resharper_indent_goto_labels = true
resharper_indent_inside_namespace = true
resharper_indent_invocation_pars = inside
resharper_indent_member_initializer_list = true
resharper_indent_method_decl_pars = inside
resharper_indent_nested_fixed_stmt = false
resharper_indent_nested_foreach_stmt = false
resharper_indent_nested_for_stmt = false
resharper_indent_nested_lock_stmt = false
resharper_indent_nested_usings_stmt = false
resharper_indent_nested_while_stmt = false
resharper_indent_pars = inside
resharper_indent_preprocessor_directives = none
resharper_indent_preprocessor_if = no_indent
resharper_indent_preprocessor_other = no_indent
resharper_indent_preprocessor_region = usual_indent
resharper_indent_primary_constructor_decl_pars = inside
resharper_indent_raw_literal_string = align
resharper_indent_statement_pars = inside
resharper_indent_text = OneIndent
resharper_indent_typearg_angles = inside
resharper_indent_typeparam_angles = inside
resharper_indent_type_constraints = true
resharper_indent_wrapped_function_names = false
resharper_instance_members_qualify_declared_in = this_class, base_class
resharper_int_align = false
resharper_int_align_bitfield_sizes = false
resharper_int_align_comments = false
resharper_int_align_declaration_names = false
resharper_int_align_enum_initializers = false
resharper_int_align_eq = false
resharper_int_align_fix_in_adjacent = true
resharper_keep_blank_lines_in_code = 2
resharper_keep_blank_lines_in_declarations = 2
resharper_keep_existing_attribute_arrangement = false
resharper_keep_existing_declaration_block_arrangement = false
resharper_keep_existing_declaration_parens_arrangement = true
resharper_keep_existing_embedded_arrangement = true
resharper_keep_existing_embedded_block_arrangement = false
resharper_keep_existing_expr_member_arrangement = true
resharper_keep_existing_invocation_parens_arrangement = true
resharper_keep_existing_list_patterns_arrangement = true
resharper_keep_existing_primary_constructor_declaration_parens_arrangement = true
resharper_keep_existing_property_patterns_arrangement = true
resharper_keep_existing_switch_expression_arrangement = true
resharper_keep_user_linebreaks = true
resharper_labeled_statement_style = line_break
resharper_linebreaks_inside_tags_for_elements_longer_than = 2147483647
resharper_linebreaks_inside_tags_for_elements_with_child_elements = true
resharper_linebreaks_inside_tags_for_multiline_elements = true
resharper_linebreak_before_multiline_elements = true
resharper_linebreak_before_singleline_elements = false
resharper_line_break_after_colon_in_member_initializer_lists = do_not_change
resharper_line_break_after_comma_in_member_initializer_lists = false
resharper_line_break_after_deref_in_trailing_return_types = do_not_change
resharper_line_break_after_init_statement = do_not_change
resharper_line_break_before_comma_in_member_initializer_lists = false
resharper_line_break_before_deref_in_trailing_return_types = do_not_change
resharper_line_break_before_requires_clause = do_not_change
resharper_linkage_specification_braces = end_of_line
resharper_linkage_specification_indentation = none
resharper_local_function_body = block_body
resharper_max_array_initializer_elements_on_line = 10000
resharper_max_attribute_length_for_same_line = 38
resharper_max_enum_members_on_line = 3
resharper_max_formal_parameters_on_line = 10000
resharper_max_initializer_elements_on_line = 4
resharper_max_invocation_arguments_on_line = 10000
resharper_max_primary_constructor_parameters_on_line = 10000
resharper_member_initializer_list_style = do_not_change
resharper_method_or_operator_body = block_body
resharper_namespace_declaration_braces = next_line
resharper_namespace_indentation = all
resharper_nested_ternary_style = autodetect
resharper_new_line_before_catch = true
resharper_new_line_before_else = true
resharper_null_checking_pattern_style = not_null_pattern
resharper_object_creation_when_type_evident = target_typed
resharper_object_creation_when_type_not_evident = explicitly_typed
resharper_old_engine = false
resharper_outdent_binary_ops = false
resharper_outdent_binary_pattern_ops = false
resharper_outdent_commas = false
resharper_outdent_dots = false
resharper_outdent_statement_labels = false
resharper_parentheses_non_obvious_operations = none, shift, bitwise_and, bitwise_exclusive_or, bitwise_inclusive_or, bitwise
resharper_parentheses_redundancy_style = remove_if_not_clarifies_precedence
resharper_parentheses_same_type_operations = false
resharper_pi_attributes_indent = align_by_first_attribute
resharper_place_accessorholder_attribute_on_same_line = if_owner_is_single_line
resharper_place_accessor_attribute_on_same_line = if_owner_is_single_line
resharper_place_comments_at_first_column = false
resharper_place_constructor_initializer_on_same_line = true
resharper_place_event_attribute_on_same_line = false
resharper_place_expr_accessor_on_single_line = if_owner_is_single_line
resharper_place_expr_method_on_single_line = if_owner_is_single_line
resharper_place_expr_property_on_single_line = if_owner_is_single_line
resharper_place_field_attribute_on_same_line = true
resharper_place_linq_into_on_new_line = true
resharper_place_method_attribute_on_same_line = false
resharper_place_namespace_definitions_on_same_line = false
resharper_place_primary_constructor_initializer_on_same_line = true
resharper_place_property_attribute_on_same_line = false
resharper_place_record_field_attribute_on_same_line = if_owner_is_single_line
resharper_place_simple_case_statement_on_same_line = false
resharper_place_simple_embedded_statement_on_same_line = if_owner_is_single_line
resharper_place_simple_initializer_on_single_line = true
resharper_place_simple_list_pattern_on_single_line = true
resharper_place_simple_property_pattern_on_single_line = true
resharper_place_simple_switch_expression_on_single_line = false
resharper_place_type_attribute_on_same_line = false
resharper_place_type_constraints_on_same_line = true
resharper_prefer_explicit_discard_declaration = false
resharper_prefer_separate_deconstructed_variables_declaration = false
resharper_qualified_using_at_nested_scope = false
resharper_remove_blank_lines_near_braces_in_code = true
resharper_remove_blank_lines_near_braces_in_declarations = true
resharper_requires_expression_braces = next_line
resharper_simple_block_style = do_not_change
resharper_simple_case_statement_style = do_not_change
resharper_simple_embedded_statement_style = do_not_change
resharper_slate_wrap_chained_binary_expression = chop_if_long
resharper_slate_wrap_chained_member_access = chop_if_long
resharper_spaces_around_eq_in_attribute = false
resharper_spaces_around_eq_in_pi_attribute = false
resharper_spaces_inside_tags = false
resharper_space_after_attributes = true
resharper_space_after_attribute_target_colon = true
resharper_space_after_cast = false
resharper_space_after_colon = true
resharper_space_after_colon_in_bitfield_declarator = true
resharper_space_after_colon_in_case = true
resharper_space_after_colon_in_inheritance_clause = true
resharper_space_after_comma = true
resharper_space_after_ellipsis_in_parameter_pack = true
resharper_space_after_for_colon = true
resharper_space_after_keywords_in_control_flow_statements = true
resharper_space_after_last_attribute = false
resharper_space_after_last_pi_attribute = false
resharper_space_after_operator_keyword = true
resharper_space_after_operator_not = false
resharper_space_after_ptr_in_data_member = true
resharper_space_after_ptr_in_data_members = false
resharper_space_after_ptr_in_method = true
resharper_space_after_ptr_in_nested_declarator = false
resharper_space_after_ref_in_data_member = true
resharper_space_after_ref_in_data_members = false
resharper_space_after_ref_in_method = true
resharper_space_after_semicolon_in_for_statement = true
resharper_space_after_ternary_colon = true
resharper_space_after_ternary_quest = true
resharper_space_after_type_parameter_constraint_colon = true
resharper_space_around_additive_op = true
resharper_space_around_alias_eq = true
resharper_space_around_assignment_op = true
resharper_space_around_assignment_operator = true
resharper_space_around_deref_in_trailing_return_type = true
resharper_space_around_lambda_arrow = true
resharper_space_around_member_access_operator = false
resharper_space_around_relational_op = true
resharper_space_around_shift_op = true
resharper_space_around_stmt_colon = true
resharper_space_around_ternary_operator = true
resharper_space_before_array_rank_parentheses = false
resharper_space_before_attribute_target_colon = false
resharper_space_before_checked_parentheses = false
resharper_space_before_colon = false
resharper_space_before_colon_in_bitfield_declarator = true
resharper_space_before_colon_in_case = false
resharper_space_before_colon_in_inheritance_clause = true
resharper_space_before_comma = false
resharper_space_before_default_parentheses = false
resharper_space_before_ellipsis_in_parameter_pack = false
resharper_space_before_empty_invocation_parentheses = false
resharper_space_before_empty_method_parentheses = false
resharper_space_before_for_colon = true
resharper_space_before_initializer_braces = false
resharper_space_before_invocation_parentheses = false
resharper_space_before_label_colon = false
resharper_space_before_lambda_parentheses = false
resharper_space_before_method_parentheses = false
resharper_space_before_nameof_parentheses = false
resharper_space_before_new_parentheses = false
resharper_space_before_nullable_mark = false
resharper_space_before_open_square_brackets = false
resharper_space_before_pointer_asterik_declaration = false
resharper_space_before_postfix_operator = false
resharper_space_before_ptr_in_abstract_decl = false
resharper_space_before_ptr_in_data_member = false
resharper_space_before_ptr_in_data_members = true
resharper_space_before_ptr_in_method = false
resharper_space_before_ref_in_abstract_decl = false
resharper_space_before_ref_in_data_member = false
resharper_space_before_ref_in_data_members = true
resharper_space_before_ref_in_method = false
resharper_space_before_semicolon = false
resharper_space_before_semicolon_in_for_statement = false
resharper_space_before_singleline_accessorholder = true
resharper_space_before_sizeof_parentheses = false
resharper_space_before_template_args = false
resharper_space_before_template_params = true
resharper_space_before_ternary_colon = true
resharper_space_before_ternary_quest = true
resharper_space_before_trailing_comment = true
resharper_space_before_typeof_parentheses = false
resharper_space_before_type_argument_angle = false
resharper_space_before_type_parameter_angle = false
resharper_space_before_type_parameter_constraint_colon = true
resharper_space_before_type_parameter_parentheses = true
resharper_space_between_accessors_in_singleline_property = true
resharper_space_between_attribute_sections = true
resharper_space_between_closing_angle_brackets_in_template_args = false
resharper_space_between_keyword_and_expression = true
resharper_space_between_keyword_and_type = true
resharper_space_between_method_call_empty_parameter_list_parentheses = false
resharper_space_between_method_call_name_and_opening_parenthesis = false
resharper_space_between_method_call_parameter_list_parentheses = false
resharper_space_between_method_declaration_empty_parameter_list_parentheses = false
resharper_space_between_method_declaration_name_and_open_parenthesis = false
resharper_space_between_method_declaration_parameter_list_parentheses = false
resharper_space_between_parentheses_of_control_flow_statements = false
resharper_space_between_square_brackets = false
resharper_space_between_typecast_parentheses = false
resharper_space_in_singleline_accessorholder = true
resharper_space_in_singleline_anonymous_method = true
resharper_space_in_singleline_method = true
resharper_space_near_postfix_and_prefix_op = false
resharper_space_within_array_initialization_braces = false
resharper_space_within_array_rank_empty_parentheses = false
resharper_space_within_array_rank_parentheses = false
resharper_space_within_attribute_angles = false
resharper_space_within_checked_parentheses = false
resharper_space_within_declaration_parentheses = false
resharper_space_within_default_parentheses = false
resharper_space_within_empty_blocks = false
resharper_space_within_empty_braces = true
resharper_space_within_empty_initializer_braces = false
resharper_space_within_empty_invocation_parentheses = false
resharper_space_within_empty_method_parentheses = false
resharper_space_within_empty_template_params = false
resharper_space_within_expression_parentheses = false
resharper_space_within_initializer_braces = false
resharper_space_within_invocation_parentheses = false
resharper_space_within_method_parentheses = false
resharper_space_within_nameof_parentheses = false
resharper_space_within_new_parentheses = false
resharper_space_within_parentheses = false
resharper_space_within_single_line_array_initializer_braces = true
resharper_space_within_sizeof_parentheses = false
resharper_space_within_slice_pattern = true
resharper_space_within_template_args = false
resharper_space_within_template_params = false
resharper_space_within_tuple_parentheses = false
resharper_space_within_typeof_parentheses = false
resharper_space_within_type_argument_angles = false
resharper_space_within_type_parameter_angles = false
resharper_space_within_type_parameter_parentheses = false
resharper_special_else_if_treatment = true
resharper_static_members_qualify_members = none
resharper_static_members_qualify_with = declared_type
resharper_stick_comment = true
resharper_toplevel_function_declaration_return_type_style = do_not_change
resharper_toplevel_function_definition_return_type_style = do_not_change
resharper_trailing_comma_in_multiline_lists = false
resharper_trailing_comma_in_singleline_lists = false
resharper_use_continuous_indent_inside_initializer_braces = false
resharper_use_continuous_indent_inside_parens = true
resharper_use_continuous_line_indent_in_expression_braces = false
resharper_use_continuous_line_indent_in_method_pars = false
resharper_use_heuristics_for_body_style = true
resharper_use_indent_from_previous_element = true
resharper_use_roslyn_logic_for_evident_types = false
resharper_vb_align_multiline_argument = true
resharper_vb_align_multiline_expression = true
resharper_vb_align_multiline_parameter = true
resharper_vb_align_multiple_declaration = true
resharper_vb_max_line_length = 120
resharper_vb_place_field_attribute_on_same_line = true
resharper_vb_place_method_attribute_on_same_line = false
resharper_vb_place_type_attribute_on_same_line = false
resharper_vb_prefer_qualified_reference = false
resharper_vb_space_after_unary_operator = true
resharper_vb_space_around_multiplicative_op = false
resharper_wrap_after_declaration_lpar = false
resharper_wrap_after_dot_in_method_calls = false
resharper_wrap_after_expression_lbrace = true
resharper_wrap_after_invocation_lpar = false
resharper_wrap_after_primary_constructor_declaration_lpar = true
resharper_wrap_after_property_in_chained_method_calls = false
resharper_wrap_arguments_style = wrap_if_long
resharper_wrap_around_elements = true
resharper_wrap_array_initializer_style = wrap_if_long
resharper_wrap_base_clause_style = wrap_if_long
resharper_wrap_before_arrow_with_expressions = false
resharper_wrap_before_binary_opsign = false
resharper_wrap_before_binary_pattern_op = true
resharper_wrap_before_colon = false
resharper_wrap_before_comma = false
resharper_wrap_before_comma_in_base_clause = false
resharper_wrap_before_declaration_lpar = false
resharper_wrap_before_declaration_rpar = false
resharper_wrap_before_eq = false
resharper_wrap_before_expression_rbrace = true
resharper_wrap_before_extends_colon = false
resharper_wrap_before_first_method_call = false
resharper_wrap_before_first_type_parameter_constraint = false
resharper_wrap_before_invocation_lpar = false
resharper_wrap_before_invocation_rpar = false
resharper_wrap_before_linq_expression = false
resharper_wrap_before_primary_constructor_declaration_lpar = false
resharper_wrap_before_primary_constructor_declaration_rpar = false
resharper_wrap_before_ternary_opsigns = true
resharper_wrap_before_type_parameter_langle = false
resharper_wrap_braced_init_list_style = wrap_if_long
resharper_wrap_chained_binary_expressions = wrap_if_long
resharper_wrap_chained_binary_patterns = wrap_if_long
resharper_wrap_chained_method_calls = wrap_if_long
resharper_wrap_ctor_initializer_style = wrap_if_long
resharper_wrap_enumeration_style = chop_if_long
resharper_wrap_enum_declaration = chop_always
resharper_wrap_extends_list_style = wrap_if_long
resharper_wrap_for_stmt_header_style = chop_if_long
resharper_wrap_list_pattern = wrap_if_long
resharper_wrap_multiple_declaration_style = chop_if_long
resharper_wrap_multiple_type_parameter_constraints_style = chop_if_long
resharper_wrap_object_and_collection_initializer_style = chop_if_long
resharper_wrap_parameters_style = wrap_if_long
resharper_wrap_primary_constructor_parameters_style = chop_if_long
resharper_wrap_property_pattern = chop_if_long
resharper_wrap_switch_expression = chop_always
resharper_wrap_ternary_expr_style = chop_if_long
resharper_wrap_verbatim_interpolated_strings = no_wrap
resharper_xmldoc_attribute_indent = single_indent
resharper_xmldoc_max_blank_lines_between_tags = 0
resharper_xmldoc_max_line_length = 120
resharper_xmldoc_pi_attribute_style = do_not_touch
resharper_xmldoc_space_before_self_closing = true
resharper_xmldoc_wrap_tags_and_pi = true
resharper_xmldoc_wrap_text = true
